Debian Bug report logs - #724967
ITP: bladerf -- Software defined radio peripheral support

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "A. Maitland Bottoms" <bottoms@debian.org>

Date: Mon, 30 Sep 2013 03:51:01 UTC

Owned by: "A. Maitland Bottoms" <bottoms@debian.org>

Severity: wishlist

Fixed in version bladerf/0.8.0.14.9126eac-1

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724967; Package wnpp. (Mon, 30 Sep 2013 03:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 30 Sep 2013 03:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: bladerf -- Software defined radio peripheral support
Date: Sun, 29 Sep 2013 23:46:25 -0400
Package: wnpp
Severity: wishlist
Owner: "A. Maitland Bottoms" <bottoms@debian.org>

* Package name    : bladerf
  Version         : git snapshot
  Upstream Author : Robert Ghilduta <robert.ghilduta@nuand.com>, Brian Padalino <bpadalino@nuand.com>, Jon Szymaniak <jon@nuand.com>
* URL             : http://nuand.com/
* License         : GPL, version 2 or later
  Programming Lang: C
  Description     : Software defined radio peripheral support

Github: https://github.com/Nuand/bladeRF
Project News: http://www.nuand.com/blog/

The hackrf project host software handles low-level
tasks for I/O of data. Current hardware is
uses USB3 Superspeed data transfers.

Debian packages of this code will provide similar
support for nuand.com bladeRF hardware as is provided by
uhd for Ettus USRP hardware and rtl-sdr for DVB-T hardware.

This capability is useful for GNU Radio via gr-osmosdr.

-Maitland



Added indication that bug 724967 blocks 726469 Request was from "A. Maitland Bottoms" <bottoms@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 02:30:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 07:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724967; Package wnpp. (Thu, 28 Nov 2013 03:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Nov 2013 03:42:04 GMT) Full text and rfc822 format available.

Message #14 received at 724967@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: 724967@bugs.debian.org
Subject: bladerf_0.8.0.14.9126eac-1 (Was: bladerf_0.6.2.1.b80d31f-1_amd64.changes REJECTED)
Date: Wed, 27 Nov 2013 22:39:36 -0500
Indeed there was a refactoring of bladeRF upstream providing
more clarity on copyright and licensing:

https://github.com/Nuand/bladeRF/commit/625694eaa5927bc26aa0a8aac352c19cc29ac723

So I will be uploading bladerf_0.8.0.14.9126eac-1 which includes
this commit for NEW processing.

-Maitland



Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Fri, 27 Dec 2013 00:04:06 GMT) Full text and rfc822 format available.

Notification sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 00:04:06 GMT) Full text and rfc822 format available.

Message #19 received at 724967-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 724967-close@bugs.debian.org
Subject: Bug#724967: fixed in bladerf 0.8.0.14.9126eac-1
Date: Fri, 27 Dec 2013 00:00:09 +0000
Source: bladerf
Source-Version: 0.8.0.14.9126eac-1

We believe that the bug you reported is fixed in the latest version of
bladerf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated bladerf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Nov 2013 23:51:56 -0500
Source: bladerf
Binary: bladerf-host libbladerf0 libbladerf-dev
Architecture: source amd64
Version: 0.8.0.14.9126eac-1
Distribution: unstable
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 bladerf-host - nuand bladeRF software-defined radio device (tools)
 libbladerf-dev - nuand bladeRF software-defined radio device (header files)
 libbladerf0 - nuand bladeRF software-defined radio device (host library)
Closes: 724967
Changes: 
 bladerf (0.8.0.14.9126eac-1) unstable; urgency=low
 .
   * New Debian Package (Closes: #724967)
Checksums-Sha1: 
 8e345d9d69f7fdfe8c8b11978b8595cfd028ba9f 1488 bladerf_0.8.0.14.9126eac-1.dsc
 97e2cbe909acd666e143686c92701a91722dfa2e 1064233 bladerf_0.8.0.14.9126eac.orig.tar.gz
 71e4bcad4c2ccf50b0e8a159637a2355681932dc 8426 bladerf_0.8.0.14.9126eac-1.debian.tar.gz
 90fcfc27be5918954bdf282b9ca160891f493b63 50346 bladerf-host_0.8.0.14.9126eac-1_amd64.deb
 7a09d7c5ecc7138d76a3107fa2bb011019694375 32500 libbladerf0_0.8.0.14.9126eac-1_amd64.deb
 6f26802e1d012d8efce81cd80db45e18637271ef 14032 libbladerf-dev_0.8.0.14.9126eac-1_amd64.deb
Checksums-Sha256: 
 32050c02bc64f09978eb0b6f2e9a9ff581bf041b855456eced8dc1b42497cbb6 1488 bladerf_0.8.0.14.9126eac-1.dsc
 9e3c97aa88be28695548306489234eef173b8c27be362a5c2f94d3106a31d514 1064233 bladerf_0.8.0.14.9126eac.orig.tar.gz
 0c44682d915408853fc84ae5e9e5d0183a01739beae74ad51cc6b12e8b4e80ba 8426 bladerf_0.8.0.14.9126eac-1.debian.tar.gz
 b72b63bb219f2978bf977b4c70bbb0c1dda9ff6214375c79ae39a7b44007684d 50346 bladerf-host_0.8.0.14.9126eac-1_amd64.deb
 f20e23d8361cc62a204022659bab9df9751dc3a286dc97e2ac019bc660b128d4 32500 libbladerf0_0.8.0.14.9126eac-1_amd64.deb
 20add76161a3c9b1b53f1b479eb2762df4e6902abc85ae46b39c77d684673abc 14032 libbladerf-dev_0.8.0.14.9126eac-1_amd64.deb
Files: 
 8d7445f8f0a9ef2015d05b3a33c6e84e 1488 comm optional bladerf_0.8.0.14.9126eac-1.dsc
 ad01e5b2e1f54423c5ad8a170d1ad7ff 1064233 comm optional bladerf_0.8.0.14.9126eac.orig.tar.gz
 9c9419b6bdf604758b57bb0989d1f81e 8426 comm optional bladerf_0.8.0.14.9126eac-1.debian.tar.gz
 6ff24635f7f5118446e72bbbb08ab689 50346 comm optional bladerf-host_0.8.0.14.9126eac-1_amd64.deb
 7920b350bcd77b15bb771d14c27cb43b 32500 libs optional libbladerf0_0.8.0.14.9126eac-1_amd64.deb
 008e0e649ec3758af142583757d9300c 14032 libdevel optional libbladerf-dev_0.8.0.14.9126eac-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlKWuuMACgkQkwbJvNrxBUxdXgCdHjQJpX4CekG1HzlYN3opJxSf
WyMAn1oTEEWK1Z6EvrogG8fHrKjg02gq
=HFFQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jan 2014 07:35:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:19:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.